// Liquid3D - Moteur 3D C++ NDS par Morukutsu
// Surcouche de l'ulibrary de Brunni
// Version alpha 1

#include "../L3DTypes.h"
#include "CSceneNode.h"
#include <ulib/ulib.h>

#ifndef _H_L3DSCUBENODE
#define _H_L3DSCUBENODE

namespace L3D
{
	// - - - - - - - - -
	// Classe CCubeNode - noeud de type cube (dans un but d'essais)
	// - - - - - - - - - 
	class CCubeNode : public CSceneNode
	{
	public:
		//Constructeur/Destructeur
		CCubeNode(int32 taille, int color);
		~CCubeNode();
		//Fonction d'affichage
		void Draw();
		void Update();
		//Fonctions spécifiques à ce noeud
		void Resize(int32 taille);
		void Tint(int color);
	public:
		int32 m_r;		//Taille du cube
		int mColor;		//Couleur du cube	
	};
};

#endif